CVE-2020-15678

high

Description

When recursing through graphical layers while scrolling, an iterator may have become invalid, resulting in a potential use-after-free. This occurs because the function APZCTreeManager::ComputeClippedCompositionBounds did not follow iterator invalidation rules. This vulnerability affects Firefox < 81, Thunderbird < 78.3, and Firefox ESR < 78.3.

References

https://www.mozilla.org/security/advisories/mfsa2020-42/

https://www.mozilla.org/security/advisories/mfsa2020-43/

https://www.mozilla.org/security/advisories/mfsa2020-44/

https://bugzilla.mozilla.org/show_bug.cgi?id=1660211

https://www.debian.org/security/2020/dsa-4770

https://lists.debian.org/debian-lts-announce/2020/10/msg00020.html

https://security.gentoo.org/glsa/202010-02

http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00077.html

http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00074.html

Details

Source: MITRE

Published: 2020-10-01

Updated: 2022-11-16

Type: CWE-416

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH